#!/bin/bash
#
# coreapps_branch_build_run.sh
#
# Script to grab trunk for all core apps, build and shove to device
# Expects a file in current directory called coreapps.txt
# which is just a list of all the core apps

BUILDLOCATION=$(mktemp -d)
COREAPPSLIST='coreapps.txt'
HERE=$(pwd)

for app in $(cat coreapps.txt)
do
    cd $BUILDLOCATION
    echo `date` Branch $app 
    bzr branch -q lp:$app 2>&1 > $BUILDLOCATION/bzr_$app.log
    if [ "$?" == "0" ]; then
      echo `date` Branch OK
    else
      echo `date` Branch FAIL
    fi
    cd $app 
    echo `date` Build $app 
    debuild -uc -us 2>&1 > $BUILDLOCATION/build_$app.log
    if [ "$?" == "0" ]; then
      echo `date` Build OK
    else
      echo `date` Build FAIL
    fi
done

adb shell mkdir $BUILDLOCATION

for deb in $(ls $BUILDLOCATION/*.deb | grep -v autopilot)
do
    echo `date` Send $deb to device
    adb push $deb $BUILDLOCATION 2>&1 > $BUILDLOCATION/push_$app.log
    if [ "$?" == "0" ]; then
      echo `date` Push OK
    else
      echo `date` Push FAIL
    fi
    echo `date` Install $deb
    adb shell dpkg -i $deb
    if [ "$?" == "0" ]; then
      echo `date` Install OK
    else
      echo `date` Install FAIL
    fi
done

cd $HERE

echo `date` Temp files in $BUILDLOCATION can now be deleted
