#!/bin/bash
# Script to reboot phone and watch for bad stuff
#
# Script does the following:-
# * Reboot
# * Look for bad stuff
# * 20 GOTO 10
#
# Assumptions:-
# * Device already running some build of Ubuntu Touch and is connected via USB
#
# (c) 2013 Canonical - Alan Pope alan.pope@canonical.com

UBUNTU_ROOT="/"

function adb_root {
  echo ":: Run adb root"
  adb root
  if [ $? -ne "0" ]; then
    echo ":: adb root failed"
    exit 1
  fi
}

function pause {
    echo ":: Wait $1"
    sleep $1
}

function wait_for_device {
  echo -n ":: Waiting for device to come back ."
  STATE="unknown"
  while [ "$STATE" ==  "unknown" ];
  do
    echo -n "."
    STATE=`adb get-state`
    sleep 15
  done
  echo " "
}

for i in {1..10}
do
   echo ":: Reboot number $i "
   wait_for_device
   adb reboot
   wait_for_device
   pause 10
   echo ":: Looking for ueventd and whoopsie"
   adb shell top -b -n 1 | grep 'ueventd\|whoopsie'
   echo ":: Running vmstat for a bit"
   adb shell vmstat 5 10
done


echo ":: Done"



